<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TI  Graph Library   (TIGL): tiglCombinerPageRank Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TI  Graph Library   (TIGL)
   &#160;<span id="projectnumber">ver1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classtiglCombinerPageRank-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">tiglCombinerPageRank Class Reference<div class="ingroups"><a class="el" href="group__appGroup.html">Examples</a> &#124; <a class="el" href="group__pageRank.html">The Page Rank Algorithm</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>Combiner class for the Page Rank algorithm.  
 <a href="classtiglCombinerPageRank.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="appPageRank_8hpp_source.html">appPageRank.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for tiglCombinerPageRank:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classtiglCombinerPageRank.png" usemap="#tiglCombinerPageRank_map" alt=""/>
  <map id="tiglCombinerPageRank_map" name="tiglCombinerPageRank_map">
<area href="classTIGLApiCombiner.html" alt="TIGLApiCombiner&lt; DblMessage &gt;" shape="rect" coords="0,0,205,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a7aa6ec254b762243317a39dd8865dd46"><td class="memItemLeft" align="right" valign="top">uint_fast32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiglCombinerPageRank.html#a7aa6ec254b762243317a39dd8865dd46">combineMessages</a> (MESSAGE_ITERATOR itIn, uint_fast32_t numMessages, MESSAGE_ITERATOR itOut)</td></tr>
<tr class="memdesc:a7aa6ec254b762243317a39dd8865dd46"><td class="mdescLeft">&#160;</td><td class="mdescRight">customized combine function the combines a set of messages that calls the generic sum combine  <a href="#a7aa6ec254b762243317a39dd8865dd46">More...</a><br /></td></tr>
<tr class="separator:a7aa6ec254b762243317a39dd8865dd46"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b9fb314bdb02926e40fe61ae69f7ec7"><td class="memItemLeft" align="right" valign="top">uint_fast32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtiglCombinerPageRank.html#a3b9fb314bdb02926e40fe61ae69f7ec7">combineMessages</a> (<a class="el" href="classTIGLApiMessage.html">DblMessage</a> &amp;newMessage, MESSAGE_ITERATOR itOut)</td></tr>
<tr class="memdesc:a3b9fb314bdb02926e40fe61ae69f7ec7"><td class="mdescLeft">&#160;</td><td class="mdescRight">overloaded customized combine function that combines a single message  <a href="#a3b9fb314bdb02926e40fe61ae69f7ec7">More...</a><br /></td></tr>
<tr class="separator:a3b9fb314bdb02926e40fe61ae69f7ec7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Combiner class for the Page Rank algorithm. </p>
<p>it inherits the generic <a class="el" href="classTIGLApiCombiner.html" title="pure combiner class for the TIGL engine ">TIGLApiCombiner</a> class and customizes the combining function to sum combining </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a7aa6ec254b762243317a39dd8865dd46"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">uint_fast32_t tiglCombinerPageRank::combineMessages </td>
          <td>(</td>
          <td class="paramtype">MESSAGE_ITERATOR&#160;</td>
          <td class="paramname"><em>itIn</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint_fast32_t&#160;</td>
          <td class="paramname"><em>numMessages</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">MESSAGE_ITERATOR&#160;</td>
          <td class="paramname"><em>itOut</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>customized combine function the combines a set of messages that calls the generic sum combine </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">itIn</td><td>Iterator to input messages </td></tr>
    <tr><td class="paramname">numMessages</td><td>number of input messages </td></tr>
    <tr><td class="paramname">itOut</td><td>iterator to the start of the ouput message </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>the number of combined output data messages </dd></dl>

</div>
</div>
<a class="anchor" id="a3b9fb314bdb02926e40fe61ae69f7ec7"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">uint_fast32_t tiglCombinerPageRank::combineMessages </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classTIGLApiMessage.html">DblMessage</a> &amp;&#160;</td>
          <td class="paramname"><em>newMessage</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">MESSAGE_ITERATOR&#160;</td>
          <td class="paramname"><em>itOut</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>overloaded customized combine function that combines a single message </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">newMessage</td><td>the new message </td></tr>
    <tr><td class="paramname">itOut</td><td>iterator to the start of the ouput message </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>the number of combined output data messages </dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/mohamed/code/tigl/src/app/<a class="el" href="appPageRank_8hpp_source.html">appPageRank.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Mar 4 2015 13:49:42 for TI  Graph Library   (TIGL) by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
